Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Interface DCStatusBarInterface

All Known Subinterfaces:
  JUStatusBarInterface

All Known Implementing Classes:
  JUStatusBar

public interface DCStatusBarInterface

Implements status messages based on the current focus, current iterator, and current display mode of a DCPanel. Various JClient control bindings and Panel bindings use this interface to update their status and the classes implementing this interface (typically a StatusBar) can display these status messages. Messages that are MsgId0based could be found in UIMessageBundle class.

Applications could implement this interface to manage focus, currency and display status messages in a custom manner and register the implementing class with a DCPanelBinding to get these messages.

See Also:
  `UIMessageBundle`

Method Summary
`void` | `displayStatus(DCIteratorBinding iterBinding, java.lang.String msgId, java.lang.Object[] params)` This event is sent out by the framework to display a message in oracle.jbo.uicli.UIMessageBundle of the given msgId with the given set of parameters.
`void` | `displayStatus(java.lang.String msg)` Applications can invoke to display any custom messages in the status bar(s).
`void` | `focusGained(DCIteratorBinding iterBinding, DCControlBinding controlBinding, int attrIndex)` This event is sent out by a DCCtrlBinding when the associated control comes into focus.
`void` | `release()` Framework calls this method when it needs to indicate that the connection to BC4J is being released.

Method Detail

### focusGained

    public void focusGained(DCIteratorBinding iterBinding,
                            DCControlBinding controlBinding,
                            int attrIndex)

  This event is sent out by a DCCtrlBinding when the associated control comes into focus.
  Parameters:
    `iterBinding` - The Iterator that the control-binding is working with.
    `controlBinding` - Identifies which control is coming into focus.
    `attrIndex` - Index of the attribute in the DCCtrlBinding that is current/in focus. The value for this index could be -1 if a composite control that is working with a ViewObject or RowIterator comes in focus (like a JTree/JTable/DCNavigationBar).

### displayStatus

    public void displayStatus(DCIteratorBinding iterBinding,
                              java.lang.String msgId,
                              java.lang.Object[] params)

  This event is sent out by the framework to display a message in oracle.jbo.uicli.UIMessageBundle of the given msgId with the given set of parameters.
  Parameters:
    `iterBinding` - Current IteratorBinding object for the control that sends this message.
    `msgId` - String ID of a message from UIMessageBundle to display.
    `params` - Parameters that the message needs to format an appropriate display.

### displayStatus

    public void displayStatus(java.lang.String msg)

  Applications can invoke to display any custom messages in the status bar(s).

### release

    public void release()

  Framework calls this method when it needs to indicate that the connection to BC4J is being released.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.